Package com.arms.api.requirement.reqadd.controller

## Class ReqAddController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<ReqAdd,​ReqAddDTO,​ReqAddEntity>
  - - com.arms.api.requirement.reqadd.controller.ReqAddController

-     @Controller
      @RequestMapping("/arms/reqAdd")
      public class ReqAddController
      extends TreeAbstractController<ReqAdd,​ReqAddDTO,​ReqAddEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ReqAddController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<?>` | `addReqNode​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity` | `excelUpload​(org.springframework.web.multipart.MultipartFile excelFile, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<ReqAddDetailDTO>` | `followReqLink​(FollowReqLinkDTO followReqLinkDTO, java.lang.String changeReqTableName)` |
    `org.springframework.web.servlet.ModelAndView` | `getFilesByNode​(FileRepositoryDTO fileRepositoryDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getMonitor​(java.lang.String changeReqTableName, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqAddVO>>` | `getNodesWhereInIds​(java.lang.String changeReqTableName, java.util.List<java.lang.Long> ids, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getNodesWithoutRoot​(java.lang.String changeReqTableName, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getReqAddListByFilter​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<java.util.List<ReqAddEntity>>` | `getReqNodesWithoutRoot​(java.lang.String changeReqTableName)` |
    `org.springframework.http.ResponseEntity<?>` | `getRequirementAssignee​(RequirementDTO requirementDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getSwitchDBChildNode​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getSwitchDBChildNodeWithParent​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.web.servlet.ModelAndView` | `getSwitchDBNode​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<ReqAddVO>` | `loadReqNode​(java.lang.String changeReqTableName, java.lang.Long c_id, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<?>` | `moveReqNode​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `removeReqNode​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `updateDataBase​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `updateReqAddOnly​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `updateReqDate​(java.lang.String changeReqTableName, ReqAddDateDTO reqAddDateDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `updateReqNode​(java.lang.String changeReqTableName, ReqAddDTO reqAddDTO, javax.servlet.http.HttpServletRequest request, org.springframework.validation.BindingResult bindingResult, org.springframework.ui.ModelMap model)` |
    `org.springframework.http.ResponseEntity<?>` | `updateReqState​(java.lang.String changeReqTableName, java.lang.Long 변경_전_상태아이디, java.lang.Long 변경_후_상태아이디)` |
    `org.springframework.web.servlet.ModelAndView` | `uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest, javax.servlet.http.HttpServletRequest request, org.springframework.ui.Model model)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReqAddController

          public ReqAddController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getMonitor

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getMonitor.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getMonitor​(@PathVariable("changeReqTableName")
                                                                         java.lang.String changeReqTableName,
                                                                         org.springframework.ui.ModelMap model,
                                                                         javax.servlet.http.HttpServletRequest request)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodesWithoutRoot

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getNodesWithoutRoot.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getNodesWithoutRoot​(@PathVariable("changeReqTableName")
                                                                                  java.lang.String changeReqTableName,
                                                                                  org.springframework.ui.ModelMap model,
                                                                                  javax.servlet.http.HttpServletRequest request)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqNodesWithoutRoot

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getReqNodesWithoutRoot.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.util.List<ReqAddEntity>> getReqNodesWithoutRoot​(@PathVariable("changeReqTableName")
                                                                                                              java.lang.String changeReqTableName)
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSwitchDBChildNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getChildNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getSwitchDBChildNode​(@PathVariable("changeReqTableName")
                                                                                   java.lang.String changeReqTableName,
                                                                                   ReqAddDTO reqAddDTO,
                                                                                   javax.servlet.http.HttpServletRequest request)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSwitchDBChildNodeWithParent

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getChildNodeWithParent.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getSwitchDBChildNodeWithParent​(@PathVariable("changeReqTableName")
                                                                                             java.lang.String changeReqTableName,
                                                                                             ReqAddDTO reqAddDTO,
                                                                                             javax.servlet.http.HttpServletRequest request)
                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSwitchDBNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getSwitchDBNode​(@PathVariable("changeReqTableName")
                                                                              java.lang.String changeReqTableName,
                                                                              ReqAddDTO reqAddDTO,
                                                                              javax.servlet.http.HttpServletRequest request)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getReqAddListByFilter

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/getReqAddListByFilter",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getReqAddListByFilter​(@PathVariable("changeReqTableName")
                                                                                    java.lang.String changeReqTableName,
                                                                                    ReqAddDTO reqAddDTO,
                                                                                    javax.servlet.http.HttpServletRequest request)
                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addReqNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/addNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> addReqNode​(@PathVariable("changeReqTableName")
                                                                       java.lang.String changeReqTableName,
                                                                       @Validated(AddNode.class)
                                                                       ReqAddDTO reqAddDTO,
                                                                       org.springframework.validation.BindingResult bindingResult,
                                                                       org.springframework.ui.ModelMap model)
                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> updateReqNode​(@PathVariable("changeReqTableName")
                                                                          java.lang.String changeReqTableName,
                                                                          @Validated(UpdateNode.class)
                                                                          ReqAddDTO reqAddDTO,
                                                                          javax.servlet.http.HttpServletRequest request,
                                                                          org.springframework.validation.BindingResult bindingResult,
                                                                          org.springframework.ui.ModelMap model)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqDate

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateDate.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> updateReqDate​(@PathVariable("changeReqTableName")
                                                                          java.lang.String changeReqTableName,
                                                                          @Validated(UpdateNode.class)
                                                                          ReqAddDateDTO reqAddDateDTO,
                                                                          javax.servlet.http.HttpServletRequest request,
                                                                          org.springframework.validation.BindingResult bindingResult,
                                                                          org.springframework.ui.ModelMap model)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateDataBase

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateDataBase.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> updateDataBase​(@PathVariable("changeReqTableName")
                                                                           java.lang.String changeReqTableName,
                                                                           @Validated(UpdateNode.class)
                                                                           ReqAddDTO reqAddDTO,
                                                                           javax.servlet.http.HttpServletRequest request,
                                                                           org.springframework.validation.BindingResult bindingResult,
                                                                           org.springframework.ui.ModelMap model)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### removeReqNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/removeNode.do",
                          method=DELETE)
          public org.springframework.http.ResponseEntity<?> removeReqNode​(@PathVariable("changeReqTableName")
                                                                          java.lang.String changeReqTableName,
                                                                          @Validated(UpdateNode.class)
                                                                          ReqAddDTO reqAddDTO,
                                                                          javax.servlet.http.HttpServletRequest request,
                                                                          org.springframework.validation.BindingResult bindingResult,
                                                                          org.springframework.ui.ModelMap model)
                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### moveReqNode

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/moveNode.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> moveReqNode​(@PathVariable("changeReqTableName")
                                                                        java.lang.String changeReqTableName,
                                                                        @Validated(MoveNode.class)
                                                                        ReqAddDTO reqAddDTO,
                                                                        javax.servlet.http.HttpServletRequest request,
                                                                        org.springframework.validation.BindingResult bindingResult,
                                                                        org.springframework.ui.ModelMap model)
                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### uploadFileToNode

          @ResponseBody
          @RequestMapping(value="/uploadFileToNode.do",
                          method=POST)
          public org.springframework.web.servlet.ModelAndView uploadFileToNode​(org.springframework.web.multipart.MultipartHttpServletRequest multiRequest,
                                                                               javax.servlet.http.HttpServletRequest request,
                                                                               org.springframework.ui.Model model)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getFilesByNode

          @ResponseBody
          @RequestMapping(value="/getFilesByNode.do",
                          method=GET)
          public org.springframework.web.servlet.ModelAndView getFilesByNode​(FileRepositoryDTO fileRepositoryDTO,
                                                                             javax.servlet.http.HttpServletRequest request)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### excelUpload

          @ResponseBody
          @PostMapping("/sample/excel-to-list")
          public org.springframework.http.ResponseEntity excelUpload​(@RequestPart("excelFile")
                                                                     org.springframework.web.multipart.MultipartFile excelFile,
                                                                     javax.servlet.http.HttpServletRequest request)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### followReqLink

          @ResponseBody
          @GetMapping("/{changeReqTableName}/getDetail.do")
          public org.springframework.http.ResponseEntity<ReqAddDetailDTO> followReqLink​(FollowReqLinkDTO followReqLinkDTO,
                                                                                        @PathVariable("changeReqTableName")
                                                                                        java.lang.String changeReqTableName)
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### loadReqNode

          @GetMapping("/{changeReqTableName}/getNodeDetail.do")
          public org.springframework.http.ResponseEntity<ReqAddVO> loadReqNode​(@PathVariable("changeReqTableName")
                                                                               java.lang.String changeReqTableName,
                                                                               @RequestParam("c_id")
                                                                               java.lang.Long c_id,
                                                                               javax.servlet.http.HttpServletRequest request)
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getNodesWhereInIds

          @GetMapping("/{changeReqTableName}/getNodesWhereInIds.do")
          public org.springframework.http.ResponseEntity<java.util.List<ReqAddVO>> getNodesWhereInIds​(@PathVariable("changeReqTableName")
                                                                                                      java.lang.String changeReqTableName,
                                                                                                      @RequestParam
                                                                                                      java.util.List<java.lang.Long> ids,
                                                                                                      javax.servlet.http.HttpServletRequest request)
                                                                                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRequirementAssignee

          @PostMapping("/getRequirementAssignee")
          public org.springframework.http.ResponseEntity<?> getRequirementAssignee​(@RequestBody
                                                                                   RequirementDTO requirementDTO,
                                                                                   javax.servlet.http.HttpServletRequest request)
                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqAddOnly

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateReqAddOnly.do",
                          method=POST)
          public org.springframework.http.ResponseEntity<?> updateReqAddOnly​(@PathVariable("changeReqTableName")
                                                                             java.lang.String changeReqTableName,
                                                                             @RequestBody
                                                                             ReqAddDTO reqAddDTO,
                                                                             javax.servlet.http.HttpServletRequest request,
                                                                             org.springframework.validation.BindingResult bindingResult,
                                                                             org.springframework.ui.ModelMap model)
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqState

          @ResponseBody
          @RequestMapping(value="/{changeReqTableName}/updateReqAddState.do",
                          method=PUT)
          public org.springframework.http.ResponseEntity<?> updateReqState​(@PathVariable("changeReqTableName")
                                                                           java.lang.String changeReqTableName,
                                                                           @RequestParam("stateBeforeChange")
                                                                           java.lang.Long 변경_전_상태아이디,
                                                                           @RequestParam("stateAfterChange")
                                                                           java.lang.Long 변경_후_상태아이디)
                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`